package inheritance;

import java.util.*;
import javax.naming.*;

public class Client {
	public static void main(String[] args) throws Exception {
		InitialContext ctx = new InitialContext();
		MIDAO dao = (MIDAO) ctx.lookup(MIDAO.class.getName());

		dao.createPiano("SCHWESTER", "G60", 2700000, 88, Piano.GRAND);
		dao.createPiano("DIAPASON", "DR-300BGX", 2016000, 88, Piano.GRAND);
		dao.createPiano("Bosendorfer", "185", 8190000, 88, Piano.GRAND);
		dao.createPiano("Bechstein", "12a", 2300000, 85, Piano.UPLIGHT);
		dao.createOrgan("ZZZ", "No.1", 6000000, 85, Organ.PIPE);

		List<MusicalInstrument> lists = dao.searchExpensiveMusicalInstrument(5000000);
		for (MusicalInstrument mi: lists) {
			System.out.println(mi);
		}
		lists = dao.searchExpensivePiano(5000000);
		for (MusicalInstrument mi: lists) {
			System.out.println(mi);
		}
		lists = dao.searchExpensiveOrgan(5000000);
		for (MusicalInstrument mi: lists) {
			System.out.println(mi);
		}
	}
}
