package inheritance;

import javax.persistence.*;

@Entity
public class KeyboardInstrument extends MusicalInstrument {
	protected int numOfKeys;

	public KeyboardInstrument() {
	}
	
	public KeyboardInstrument(String maker, String model, int price, int numOfKeys) {
		super(maker, model, price);
		this.numOfKeys = numOfKeys;
	}
	
	public String toString() {
		return super.toString() + ", Kyes[" + numOfKeys + "]";
	}

	public int getNumOfKeys() {
		return numOfKeys;
	}

	public void setNumOfKeys(int numOfKeys) {
		this.numOfKeys = numOfKeys;
	}
}
