package inheritance;

import javax.persistence.*;

@Entity
public class Organ extends KeyboardInstrument {
	static public int PIPE = 0;
	static public int REED = 1;
	static public int HAND = 2;
	protected int type;
	protected int stop;

	public Organ() {
	}
	
	public Organ(String maker, String model, int price, int numOfKeys, int type, int stop) {
		super(maker, model, price, numOfKeys);
		this.type = type;
		this.stop = stop;
	}
	
	public String toString() {
		return super.toString() + ", OrganType[" + type + "], Stop[" + stop + "]";
	}

	@Column(name = "ORGAN_TYPE") 
	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public int getStop() {
		return stop;
	}

	public void setStop(int stop) {
		this.stop = stop;
	}
}
