package inheritance;

import javax.persistence.*;

@Entity
public class Piano extends KeyboardInstrument {
	static public int GRAND = 0;
	static public int UPLIGHT = 1;
	protected int type;

	public Piano() {
	}
	
	public Piano(String maker, String model, int price, int numOfKeys, int type) {
		super(maker, model, price, numOfKeys);
		this.type = type;
	}
	
	public String toString() {
		return super.toString() + ", PianoType[" + type + "]";
	}

	@Column(name = "PIANO_TYPE") 
	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}
