package pm;

import javax.persistence.*;

@Entity
@Table(name = "CATEGORY")
public class Category implements java.io.Serializable {
	protected int id;
	protected String name;

	public Category() {
	}

	public Category(String name) {
		this.name = name;
	}

	public String toString() {
		return this.getClass().getName() + ", Name[" + name + "]";
	}

	@Id(generate = GeneratorType.AUTO)
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
