package inheritance;

import java.util.*;
import javax.persistence.*;

@Entity
@Inheritance(strategy = InheritanceType.SINGLE_TABLE, discriminatorType = DiscriminatorType.STRING)
//@DiscriminatorColumn(name = "MUSICAL_INSTRUMENT", nullable = true, length = 255)
public class MusicalInstrument implements java.io.Serializable {
	protected int id;
	protected String maker;
	protected String model;
	protected int price;

	public MusicalInstrument() {
	}
	
	public MusicalInstrument(String maker, String model, int price) {
		this.maker = maker;
		this.model = model;
		this.price = price;
	}
	
	public String toString() {
		return this.getClass().getName() + ", Maker[" + maker + "], Model[" + model + "], Price[" + price + "]";
	}

	@Id(generate = GeneratorType.AUTO)
	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getMaker() {
		return maker;
	}
	
	public void setMaker(String maker) {
		this.maker = maker;
	}

	public String getModel() {
		return model;
	}
	
	public void setModel(String model) {
		this.model = model;
	}

	public int getPrice() {
		return price;
	}
	
	public void setPrice(int price) {
		this.price = price;
	}
}
